package com.diagbot.service;

import com.diagbot.entity.ImgVerInfo;

/**
 * @Description: 图片验证接口
 * @author: gaodm
 * @time: 2018/9/4 16:25
 */
public interface ImgVerService {

    /**
     * 创建用户图片验证信息
     * @param imgVerInfo 图片验证码验证信息
     * @return 图片验证码数据流
     */
    byte[] createImgVerification(ImgVerInfo imgVerInfo);

    /**
     * 验证用户图片验证码是否有效
     */
    Boolean verifyImgVerification(ImgVerInfo imgVerInfo);

    /**
     * 获取用户图片验证码信息
     * @param imgId
     * @return
     */
    ImgVerInfo getImgVerification(String imgId);

    /**
     * 删除用户图片验证码信息
     */
    Boolean deleteImgVerification(String imgId);
}
